package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.MiddleRoleParam;
import com.ytpm.middle.view.MiddleRoleVO;
import com.ytpm.middle.view.MiddleUserInfo;

import java.util.List;

public interface RoleService {
    /**
     * 查询角色列表
     */
    ResultTable<MiddleRoleVO> queryList(MiddleRoleParam param);

    /**
     * 角色新增
     */
    Result<String> addOne(MiddleRoleParam param);

    /**
     * 角色修改
     */
    Result<String> updateOne(MiddleRoleParam param);

    /**
     * 删除角色
     */
    Result<String> delOne(Integer roleId, String userId);

    /**
     * 角色授权用户
     */
    Result<String> grantUsers(String userIds,Integer roleId, MiddleUserInfo userInfo);

    /**
     * 角色分配权限
     */
    Result<String> savePermission(Integer roleId, String permissionIds, MiddleUserInfo userInfo);
}
